
<%= form_for @portfolio, :url=>{action: :create}, :method=>:POST do |f| %>
 <fieldset id='portfolio'>
  <legend><% if @portfolio.id  %>Edit<% else %>Add<% end %> Portfolio</legend>
    <%= f.hidden_field :id %>
  <div style='display: block; float: left;'>
    <%= f.text_field :name, :placeholder=>'Name' %><br/>
    <%= date_field_tag :time_created, @portfolio.time_created, :placeholder=>'Date opened'  %><br/>
    <%= f.number_field :taxallowance, :placeholder=>'Amount not taxed' %><br/>

    <%= f.submit 'Save Portfolio' %>
  </div>
  <div style='display: block; float: left;'>
    <%= f.text_area :comment, :cols=>40, :rows=>15, placeholder: 'Why did you open this Account?' %>
  </div>
  <div style='display: block; float: right;'>
    <%= render :partial=>'objects/bookmark/nested_form', :locals=>{:form=>f, :user=>current_user} %>
  </div>
 </fieldset>
<% end %>
<br/>


<% if @portfolios and @open_positions %>
  <%= form_tag :objects_patch_portfolio, :method=>:POST do %>
   <fieldset id='portfolio_transfer'>
    <legend>Transfer Positions to another Portfolio</legend>
      <%= select_tag 'id_portfolio_transfer', options_from_collection_for_select(@portfolios, :id, :to_s),
              :prompt=>'-- Select Destination Account --' %>
      <br/>
      <%= select_tag 'positions', options_from_collection_for_select(@open_positions, :id, :to_s),
              :prompt=>'-- Select Open Positions to Transfer --', :multiple=>true, :size=>10 %>
      <br/>
    <%= submit_tag 'Transfer Positions' %>
   </fieldset>
  <% end %>
<% end %>
